All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::utils::kernel_generation_stream Class Reference

`#include <utils.hpp>`

Inheritance diagram for viennacl::device_specific::utils::kernel_generation_stream:

## Public Member Functions

| kernel_generation_stream ()
| ~kernel_generation_stream ()
std::string | str ()
void | inc_tab ()
void | dec_tab ()

## Detailed Description

Definition at line 404 of file utils.hpp.

## Constructor & Destructor Documentation

viennacl::device_specific::utils::kernel_generation_stream::kernel_generation_stream | ( |  | ) |

inline

Definition at line 428 of file utils.hpp.

viennacl::device_specific::utils::kernel_generation_stream::~kernel_generation_stream | ( |  | ) |

inline

Definition at line 432 of file utils.hpp.

## Member Function Documentation

void viennacl::device_specific::utils::kernel_generation_stream::dec_tab | ( |  | ) |

inline

Definition at line 437 of file utils.hpp.

void viennacl::device_specific::utils::kernel_generation_stream::inc_tab | ( |  | ) |

inline

Definition at line 436 of file utils.hpp.

std::string viennacl::device_specific::utils::kernel_generation_stream::str | ( |  | ) |

inline

Definition at line 435 of file utils.hpp.

The documentation for this class was generated from the following file:

- viennacl/device_specific/utils.hpp